//
//  Generic class to process/collect statistics, e.g. from simulation
//
//  Esa Hyyti, 2004
//

package stat;

public interface Stat
{
    public void   reset( );
        
    public int    size( );
    public double mean( );               // m   = (1/n)*sum X_i
    public double var( );                // s^2 = (1/n)*sum X_i^2 - [(1/n)*sum X_i]^2
    public double deviation( );          // sqrt( s^2 )

    //  Estimates
    public double E_mean( );             // m (for purity)
    public double E_var( );              // 
    public double E_deviation( );        // sqrt( S^2 )
    public double E_mean_var( );         // S^2 = sum[(X_i-m)^2]/(n-1) = [S2-S*S/n]/(n-1)
    public double E_mean_deviation( );   // sqrt( S^2 / n )
}
